Bug 957282 - [as7] Add more bundle support for standalone mode
Summary: [as7] Add more bundle support for standalone mode
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ---
: RHQ 4.7
Assignee: John Mazzitelli
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 957288
TreeView+ depends on / blocked
 
Reported: 2013-04-26 20:19 UTC by John Mazzitelli
Modified: 2013-09-03 14:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 957288 (view as bug list)
Environment:
Last Closed: 2013-09-03 14:43:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 812748 None None None Never
Red Hat Bugzilla 844217 None None None Never
Red Hat Bugzilla 955816 None None None Never

Internal Links: 812748 844217 955816

Description John Mazzitelli 2013-04-26 20:19:01 UTC
had discussions with larry l, charles c and alan s.

came to the conclusion we should support the same bundle target that the other jboss plugins support - being able to deploy anywhere under the base install dir of the AS installation.

Comment 1 John Mazzitelli 2013-04-26 20:22:40 UTC
we want to add something like this:

      <bundle-target>
         <destination-base-dir name="Install Directory" description="The top directory where the application server is installed.">
            <value-context>pluginConfiguration</value-context>
            <value-name>homeDir</value-name>
         </destination-base-dir>
      </bundle-target>

We can keep the original destination-base-dir in here if we want (keeping the metric "deploy dir" target) and add any others we want in the future.

Comment 2 John Mazzitelli 2013-04-29 15:16:00 UTC
git commit to master: fabce76

Comment 3 Larry O'Leary 2013-05-16 00:09:03 UTC
Although it makes sense that "Install Directory" use homeDir it doesn't allow the bundle to get deployed in the servers deployment directory. The server in this case is in <homeDir>/standalone/ and <homeDir>/standalone02/. The property we want is baseDir.

Not sure if we should add both of these or change "Installation Directory" to "Base Directory" with the description "Base directory for server content."

Comment 4 John Mazzitelli 2013-05-16 15:23:19 UTC
(In reply to comment #3)
> Although it makes sense that "Install Directory" use homeDir it doesn't
> allow the bundle to get deployed in the servers deployment directory. The
> server in this case is in <homeDir>/standalone/ and <homeDir>/standalone02/.
> The property we want is baseDir.
> 
> Not sure if we should add both of these or change "Installation Directory"
> to "Base Directory" with the description "Base directory for server content."

I thought the requirement was to be able to deploy anything anywhere under the AS install directory - which is what the last commit did.

That said, we can easily add another one - we should determine the best wording for the destination description - since "Base Directory" would look (to me at least) like the same thing as install directory.

What should the description for "Base Directory" be?

Comment 5 Larry O'Leary 2013-05-16 15:46:29 UTC
I agree that the description isn't great. I took that from the pluginConfig property itself. 

    homeDir = Root directory of the server installation
    baseDir = Base directory for server content


For previous AS plug-ins we actually provided both of these targets. So, perhaps that is what we should do here?

As for the description, perhaps it could be "Base directory for server content - ex: <JBOSS_HOME>/standalone". And for that matter, perhaps homeDir should be made clearer: "Root directory of the JBoss installation - ex: /opt/jboss/jboss-eap-6"

These are only suggestions.

Comment 6 John Mazzitelli 2013-05-16 16:05:45 UTC
This is what the install directory description is right now (from the last commit):

    "The top directory where the application server is installed. (i.e. the value found in the 'Home Directory' connection property)"

Here's a proposed description for base directory:

   "The base directory for server content, such as '[install-dir]/standalone' (i.e. the value found in the 'Base Directory' connection property)"

Comment 7 Larry O'Leary 2013-05-16 16:12:55 UTC
(In reply to comment #6)
> This is what the install directory description is right now (from the last
> commit):
> 
>     "The top directory where the application server is installed. (i.e. the
> value found in the 'Home Directory' connection property)"
> 
> Here's a proposed description for base directory:
> 
>    "The base directory for server content, such as
> '[install-dir]/standalone' (i.e. the value found in the 'Base Directory'
> connection property)"

+1 This looks good to me.

Comment 8 John Mazzitelli 2013-05-16 17:12:06 UTC
git commit to master:

Added this: b9ce1ee

<destination-base-dir name="Base Directory" description="The base directory for server content, such as '[install-dir]/standalone' (i.e. the value found in the 'Base Directory' connection property)">
   <value-context>pluginConfiguration</value-context>
   <value-name>baseDir</value-name>
</destination-base-dir>

Comment 9 Heiko W. Rupp 2013-09-03 14:43:06 UTC
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.


Note You need to log in before you can comment on or make changes to this bug.